import java.io.*;
import org.xml.sax.*;
import org.xml.sax.helpers.DefaultHandler;
import javax.xml.parsers.SAXParserFactory;  
import javax.xml.parsers.ParserConfigurationException;
import javax.xml.parsers.SAXParser;

public class SAXSample
{
    public static void main( String[] args )
    {
        try
        {
            File plik = new File( "book.xml" );
            if( !plik.exists() )
            {
                System.out.println( "Brak pliku..." );
                return;
            }

            // Zastosuj domyślny parser (bez walidacji)
            SAXParserFactory factory = SAXParserFactory.newInstance();

            // Utwórz instancję programu obsługi
            MyHandler handler = new MyHandler();

            // Analizuj plik 
            SAXParser saxParser = factory.newSAXParser();
            saxParser.parse( plik, handler );
            SAXBooks książki = handler.getKsiążki();

            for( int i=0; i<książki.getRozmiar(); i++ )
            {
                SAXBook książka = ksiażki.getKsiążka( i );
                System.out.println( książka ); 
            }

        } catch( Throwable t )
        {
            t.printStackTrace();
        }
    }
}
